de.voidplus.myo

## Enum Myo.Event

- java.lang.Object
- - java.lang.Enum<Myo.Event>
  - - de.voidplus.myo.Myo.Event

- All Implemented Interfaces:
    Serializable, Comparable<Myo.Event>
  Enclosing class:
    Myo

      public static enum Myo.Event
      extends Enum<Myo.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCELEROMETER`
    `ARM_SYNC`
    `ARM_UNSYNC`
    `CONNECT`
    `DISCONNECT`
    `EMG`
    `GYROSCOPE`
    `LOCK`
    `ORIENTATION`
    `PAIR`
    `POSE`
    `RSSI`
    `UNLOCK`
    `UNPAIR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Myo.Event` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Myo.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAIR

          public static final Myo.Event PAIR

    - #### UNPAIR

          public static final Myo.Event UNPAIR

    - #### CONNECT

          public static final Myo.Event CONNECT

    - #### DISCONNECT

          public static final Myo.Event DISCONNECT

    - #### ARM_SYNC

          public static final Myo.Event ARM_SYNC

    - #### ARM_UNSYNC

          public static final Myo.Event ARM_UNSYNC

    - #### POSE

          public static final Myo.Event POSE

    - #### ORIENTATION

          public static final Myo.Event ORIENTATION

    - #### ACCELEROMETER

          public static final Myo.Event ACCELEROMETER

    - #### GYROSCOPE

          public static final Myo.Event GYROSCOPE

    - #### RSSI

          public static final Myo.Event RSSI

    - #### EMG

          public static final Myo.Event EMG

    - #### LOCK

          public static final Myo.Event LOCK

    - #### UNLOCK

          public static final Myo.Event UNLOCK

  - ### Method Detail

    - #### values

          public static Myo.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Myo.Event c : Myo.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Myo.Event valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Processing library MyoForProcessing by Darius Morawiec. (C) 2014